Qt 5.8 | Qt 3D | C++ Classes | QSortCriterion

Qt 5.8.0 Reference Documentation

# QSortCriterion Class

(Qt3DRender::QSortCriterion)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Public Types

enum | SortType { StateChangeCost, BackToFront, Material }

## Properties

- sort : Qt3DRender::QSortCriterion::SortType

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QSortCriterion(Qt3DCore::QNode *parent = Q_NULLPTR)
SortType | sort() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSort(SortType sort)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | sortChanged(SortType sort)

- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QSortCriterion(QSortCriterionPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

- 2 protected functions inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QSortCriterion::SortType

## Property Documentation

### sort : Qt3DRender::QSortCriterion::SortType

Access functions:

SortType | sort() const
void | setSort(SortType sort)

Notifier signal:

void | sortChanged(SortType sort)

## Member Function Documentation

### QSortCriterion::QSortCriterion(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QSortCriterion.

### `[protected]` QSortCriterion::QSortCriterion(QSortCriterionPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.